%define name hwsetup
%define version 0.05
%define release b2

Name:		%{name}
Summary:	Automatic Hardware Setup
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		System/Tools
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

BuildRequires:	kudzu-devel
BuildArchitectures: i586


%description
Automatic hardware setup using the kudzu library.
hwsetup is a non-interactive hardware setup tool that tries to read your
hardware setup and autoloads all necessary modules, plus generating the
symlinks for mouse and cdrom/scanner in /dev.


##
## Setup Section
##

%prep
%setup -q


##
## Build Section
##

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p $RPM_BUILD_ROOT

make


##
## Install Section
##

%install
strip hwsetup
mkdir -p %{buildroot}/opt/berry
install -m 755 hwsetup %{buildroot}/opt/berry


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


##
## Files Section
##

%files
%defattr (-,root,root)
#%doc CHANGES README TODO VERSION
/opt/berry/hwsetup


##
## change log
##

%changelog
* Mon Jan 26 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Support Kernel-2.6
* Mon Jul 7 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to hwsetup_1.0-14.tar.gz
* Thu May 22 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to hwsetup_1.0-13.tar.gz
* Thu Apr 17 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from KNOPPIX (http://www.knopper.net/download/knoppix/)
- hwsetup_1.0-10.tar.gz
